using APT.BaseData.Domain.Entities.BD;
using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities
{
	[Redis("FORM_ID")]
	[Description("图片条件主表")]
	[APT.Infrastructure.Api.RootOrg]
	public class T_PF_PIC_FILTER : MesEntityBase
	{
		[DataFieldForeignKey("Nav_Form")]
		[Description("表单ID")]
		public Guid PAGE_FORM_ID { get; set; }

		[DataFieldForeignKey("Nav_Picture")]
		[Description("图片ID")]
		[DataFieldLength(50)]
		public Guid PICTURE_ID { get; set; }

		/// <summary>
		/// 数值越大优先级越高
		/// </summary>
		[Description("优先顺序")]
		[FormFieldEdit]
		[FormFieldTable]
		[DataFieldLength(50)]
		public int NUM { get; set; }


		[Description("导航：图片表")]
		public virtual T_BD_PICTURE Nav_Picture { get; set; }

		[Description("导航：表单表")]
		public virtual T_PF_FORM Nav_Form { get; set; }

		[Description("导航：过滤子表")]
		public virtual ICollection<T_PF_PIC_FILTER_DETAIL> Nav_PicFilterDetail { get; set; }

		[Description("源ID")]
		public Guid? SRC_ID { get; set; }
	}
}
